<div align="center">
  <img src="https://storage.googleapis.com/hume-public-logos/hume/hume-banner.png">
  <h1>Hume AI Python SDK</h1>

  <p>
    <strong>Integrate Hume APIs directly into your Python application</strong>
  </p>

  <br>
  <div>
    <a href="https://humeai.github.io/hume-python-sdk"><img src="https://img.shields.io/badge/docs-mkdocs-blue" alt="Docs"></a>
    <a href="https://pepy.tech/project/hume"><img src="https://pepy.tech/badge/hume" alt="Downloads"></a>
    <a href="https://pypi.org/project/hume"><img src="https://img.shields.io/pypi/v/hume?logo=python&logoColor=%23cccccc" alt="PyPI"></a>
    <a href="https://github.com/HumeAI/hume-python-sdk/actions/workflows/ci.yml"><img src="https://github.com/HumeAI/hume-python-sdk/actions/workflows/ci.yaml/badge.svg" alt="CI"></a>
  </div>
  <br>
</div>

To get started, create an account at [beta.hume.ai](https://beta.hume.ai).

> **Note**
> Our current version is not yet considered a stable release. As we are still in the development phase, we have chosen to continue releasing under the 0 major release until we are ready to launch version 1.0.0. Our APIs might undergo breaking changes that are necessary for us to improve our tooling and ensure a more stable and reliable release in the future. We encourage you to keep up with our [API changelog](https://dev.hume.ai/changelog) and mailing list to stay up to date with the latest changes.

## Documentation & Examples

For complete documentation check out the [Python SDK docs site](https://humeai.github.io/hume-python-sdk/) or [try some recipes](https://dev.hume.ai/recipes) from our platform documentation.

Example notebooks can be found in the [examples folder](./examples/README.md).

## Other Resources

- [Hume AI Homepage](https://hume.ai)
- [Platform Documentation](https://help.hume.ai/basics/about-hume-ai)

## Citations

Hume's expressive communication platform has been built on top of published scientific research. If you use this SDK in your work please see [our docs](https://dev.hume.ai/docs/published) for the best way to cite Hume's publications.

## Support

If you have questions, require assistance, or wish to engage in discussions pertaining to this SDK, [reach out to us on Discord](https://discord.com/invite/WPRSugvAm6)! For particular issues or feedback, we invite you to [open a new issue on Github](https://github.com/HumeAI/hume-python-sdk/issues/new).
